import controlP5.*;
import processing.serial.*;
import arb.soundcipher.*;

Serial myPort; 
SoundCipher sc = new SoundCipher(this);
ControlP5 cp5;

boolean first = false;
boolean first2 = false;

String inData = "";
float[] inByte = new float[6];
int[] fingerPress = new int[5];
int mY = 50;

//String infile = "positions.txt";
Table posdata;

void setup () {
 // set the window size:
 size(650, 600);        
 println(Serial.list());
 myPort = new Serial(this, Serial.list()[1], 9600);
 myPort.bufferUntil('\n');
 background(0);
 smooth();
 cp5 = new ControlP5(this);
 
 //posdata = new Table(this, "positions.csv");
 createSVM();
 
}

void draw () {
   if (inData != null) {
   inData = trim(inData);
   String[] inString = split(inData, ',');
   
   if (inString.length == 6){
   inByte[0] = float(inString[0]); 
   inByte[1] = float(inString[1]); 
   inByte[2] = float(inString[2]); 
   inByte[3] = float(inString[3]); 
   inByte[4] = float(inString[4]); 
   inByte[5] = float(inString[5]); 
   
   float inByte1b = map(inByte[0], 0, 1023, 0, height-mY);
   float inByte2b = map(inByte[1], 0, 1023, 0, height-mY);
   float inByte3b = map(inByte[2], 0, 1023, 0, height-mY);
   float inByte4b = map(inByte[3], 0, 1023, 0, height-mY);
   float inByte5b = map(inByte[4], 0, 1023, 0, height-mY);
   float inByte6b = map(inByte[5], 0, 1023, 0, height-mY);
   
   //background(0);
   fill(0);
   rect(0, mY, 650, height-mY);
   stroke(127,34,255);
   fill(255);
   rect(0,height-inByte1b, 100, inByte1b);
   rect(110,height-inByte2b, 100, inByte2b);
   rect(220,height-inByte3b, 100, inByte3b);
   rect(330,height-inByte4b, 100, inByte4b);
   rect(440,height-inByte5b, 100, inByte5b);
   rect(550,height-inByte6b, 100, inByte6b);

   getFingers(); 
   playNote();
   }
 inData = null; 
 }
}
 
void serialEvent (Serial myPort) {

 inData = myPort.readStringUntil('\n');

}

void getFingers(){
  for (int i=0; i<5; i++){
    fingerPress[i] = 0;  
  }
  
  for (int i=0; i<5; i++){
    if (inByte[i] > 700){
      fingerPress[i] = 1;  
    }
  }
}

void playNote(){
  if(fingerPress[0] == 1){
   sc.playNote(50, 100, 0.5);
  }
  else if(fingerPress[1] == 1){
   sc.playNote(52, 100, 0.5);
  }
  else if(fingerPress[2] == 1){
   sc.playNote(54, 100, 0.5);
  }
   else if(fingerPress[3] == 1){
   sc.playNote(55, 100, 0.5);
  }
   else if(fingerPress[4] == 1){
   sc.playNote(57, 100, 0.5);
  }
}

void createSVM(){
  
}

void svmClassify(){
  
}


